Bug 1292752 - Packaging conflict between kf5-plasma and kapptemplate
Packaging conflict between kf5-plasma and kapptemplate
Status: CLOSED DUPLICATE of bug 1292506
Product: Fedora
Classification: Fedora
Component: kf5-plasma (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 04:42 EST by David Jansen
Modified: 2015-12-18 07:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 07:00:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jansen 2015-12-18 04:42:18 EST
Description of problem:

A recent update for kf5-plasma fails to install, due to a conflict with kapptemplate

Version-Release number of selected component (if applicable):
kf5-plasma-5.17.0-1.fc23.x86_64
kapptemplate-15.04.2-2.fc23.x86_64

How reproducible:


Steps to Reproduce:
1. Install kapptemplate and kf5-plasma from Fedora 23
2. attempt to upgrade

Actual results:

# dnf update
Last metadata expiration check performed 0:05:11 ago on Fri Dec 18 10:32:27 2015.
Dependencies resolved.
================================================================================
 Package                Arch         Version                Repository     Size
================================================================================
Upgrading:
 kdeplasma-addons       x86_64       5.5.0-3.fc23           updates       1.8 M
 kf5-plasma             x86_64       5.17.0-1.fc23          updates       3.8 M

Transaction Summary
================================================================================
Upgrade  2 Packages

Total download size: 5.6 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): kf5-plasma-5.16.0-4.fc23_5.17.0-1.fc23.x 1.9 MB/s | 756 kB     00:00    
(2/2): kdeplasma-addons-5.5.0-2.fc23_5.5.0-3.fc 1.8 MB/s | 746 kB     00:00    
[DRPM] kdeplasma-addons-5.5.0-2.fc23_5.5.0-3.fc23.x86_64.drpm: done            
[DRPM] kf5-plasma-5.16.0-4.fc23_5.17.0-1.fc23.x86_64.drpm: done                
--------------------------------------------------------------------------------
Total                                           467 kB/s | 1.5 MB     00:03     
Delta RPMs reduced 5.6 MB of updates to 1.5 MB (74.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/kdevappwizard/templates/qml-plasmoid.tar.bz2 from install of kf5-plasma-5.17.0-1.fc23.x86_64 conflicts with file from package kapptemplate-15.04.2-2.fc23.x86_64

Error Summary
-------------



Expected results:
A working upgrade.

Additional info:
Currently installed version kf5-plasma-5.16.0-4.fc23.x86_64 does not contain this file (or anything under /usr/share/kdevappwizard for that matter)
Comment 1 Rex Dieter 2015-12-18 07:00:22 EST

*** This bug has been marked as a duplicate of bug 1292506 ***

Note You need to log in before you can comment on or make changes to this bug.